## org.apache.lucene.queryParser.core.nodes
Class BoostQueryNode

    java.lang.Object
      org.apache.lucene.queryParser.core.nodes.QueryNodeImpl
          org.apache.lucene.queryParser.core.nodes.BoostQueryNode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, QueryNode

    public class BoostQueryNode

extends QueryNodeImpl

A `BoostQueryNode` boosts the QueryNode tree which is under this node. So, it must only and always have one child. The boost value may vary from 0.0 to 1.0.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.lucene.queryParser.core.nodes.QueryNodeImpl
`PLAINTEXT_FIELD_NAME, toQueryStringIgnoreFields`

Constructor Summary
`BoostQueryNode(QueryNode query, float value)` Constructs a boost node

Method Summary
`QueryNode` `cloneTree()` Recursive clone the QueryNode tree The tags are not copied to the new tree when you call the cloneTree() method
`QueryNode` `getChild()` Returns the single child which this node boosts.
`float` `getValue()` Returns the boost value.
`java.lang.CharSequence` `toQueryString(EscapeQuerySyntax escapeSyntaxParser)` convert to a query string understood by the query parser
`java.lang.String` `toString()` Every implementation of this class should return pseudo xml like this: For FieldQueryNode:

Methods inherited from class org.apache.lucene.queryParser.core.nodes.QueryNodeImpl
`add, add, allocate, clone, containsTag, getChildren, getParent, getTag, getTags, isDefaultField, isLeaf, isRoot, set, setLeaf, setTag, unsetTag`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BoostQueryNode

    public BoostQueryNode(QueryNode query,
                          float value)
                   throws QueryNodeException

  Constructs a boost node

  Parameters:
    `query` - the query to be boosted
    `value` - the boost value, it may vary from 0.0 to 1.0
  Throws:
    `QueryNodeException`

Method Detail

### getChild

    public QueryNode getChild()

  Returns the single child which this node boosts.

  Returns:
    the single child which this node boosts

### getValue

    public float getValue()

  Returns the boost value. It may vary from 0.0 to 1.0.

  Returns:
    the boost value

### toString

    public java.lang.String toString()

  Description copied from class: `QueryNodeImpl`
  Every implementation of this class should return pseudo xml like this: For FieldQueryNode:

  Specified by:
    `toString` in interface `QueryNode`
  Overrides:
    `toString` in class `QueryNodeImpl`
  See Also:
    `QueryNode.toString()`

### toQueryString

    public java.lang.CharSequence toQueryString(EscapeQuerySyntax escapeSyntaxParser)

  Description copied from interface: `QueryNode`
  convert to a query string understood by the query parser

### cloneTree

    public QueryNode cloneTree()
                        throws java.lang.CloneNotSupportedException

  Description copied from interface: `QueryNode`
  Recursive clone the QueryNode tree The tags are not copied to the new tree when you call the cloneTree() method

  Specified by:
    `cloneTree` in interface `QueryNode`
  Overrides:
    `cloneTree` in class `QueryNodeImpl`
  Returns:
    the cloned tree
  Throws:
    `java.lang.CloneNotSupportedException`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.